Package org.springframework.aop.interceptor

# Interface AsyncUncaughtExceptionHandler

All Known Implementing Classes:
  `SimpleAsyncUncaughtExceptionHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface AsyncUncaughtExceptionHandler
A strategy for handling uncaught exceptions thrown from asynchronous methods.

An asynchronous method usually returns a `Future` instance that gives access to the underlying exception. When the method does not provide that return type, this handler can be used to manage such uncaught exceptions.

Since:
  4.1
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`void`
`handleUncaughtException(Throwable ex, Method method, Object... params)`
Handle the given uncaught exception thrown from an asynchronous method.

## Method Details

### handleUncaughtException

void handleUncaughtException(Throwable ex, Method method, Object... params)
Handle the given uncaught exception thrown from an asynchronous method.

Parameters:
  `ex` - the exception thrown from the asynchronous method
  `method` - the asynchronous method
  `params` - the parameters used to invoke the method